/*
 * Class WEL_TVS_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_320 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_320 [] = {0xFF01,1551,319,0xFFFF};
static const EIF_TYPE_INDEX egt_2_320 [] = {0xFF01,319,0xFFFF};
static const EIF_TYPE_INDEX egt_3_320 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_320 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_320 [] = {0xFF01,319,0xFFFF};
static const EIF_TYPE_INDEX egt_6_320 [] = {0xFF01,319,0xFFFF};
static const EIF_TYPE_INDEX egt_7_320 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_320 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_320 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_320 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_320 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_320 [] = {0xFF01,319,0xFFFF};


static const struct desc_info desc_320[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_320), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_320), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_320), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_320), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_320), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_320), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_320), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_320), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_320), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_320), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_320), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_320), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x027F /*319*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_320), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6189, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6190, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6194, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6195, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6196, 0xFFFFFFFF},
};
void Init320(void)
{
	IDSC(desc_320, 0, 319);
	IDSC(desc_320 + 1, 1, 319);
	IDSC(desc_320 + 32, 50, 319);
}


#ifdef __cplusplus
}
#endif
